--- old/usr/src/uts/common/fs/nfs/nfs4_rnode.c	2014-07-28 07:44:16.794602470 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_rnode.c	2014-07-28 07:44:16.800665959 -0400
@@ -647,7 +647,7 @@
 		rp = kmem_cache_alloc(rnode4_cache, KM_SLEEP);
 		new_vp = vn_alloc(KM_SLEEP);
 
-		atomic_add_long((ulong_t *)&rnode4_new, 1);
+		atomic_inc_ulong((ulong_t *)&rnode4_new);
 #ifdef DEBUG
 		clstat4_debug.nrnode.value.ui64++;
 #endif
@@ -1220,7 +1220,7 @@
 	vfsp = vp->v_vfsp;
 
 	uninit_rnode4(rp);
-	atomic_add_long((ulong_t *)&rnode4_new, -1);
+	atomic_dec_ulong((ulong_t *)&rnode4_new);
 #ifdef DEBUG
 	clstat4_debug.nrnode.value.ui64--;
 #endif
